<?php
// START inquiry SECTION 
$wp_customize->add_section(
	'inquiry_section',
	array(
		'title'         => __( 'Inquiry Section', 'Luzuk Premium' ), 
		'panel'   => 'luzuk_premium_home_panel',
	)
);
    //ENABLE/DISABLE inquiry SECTION 
$wp_customize->add_setting(
	'inquiry_area_disable',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default' => 'off'
	)
);
$wp_customize->add_control(
	new luzuk_Switch_Control(
		$wp_customize,
		'inquiry_area_disable',
		array(
			'settings'      => 'inquiry_area_disable',
			'section'       => 'inquiry_section',
			'label'         => __( 'Disable Section', 'Luzuk Premium' ),
			'on_off_label'  => array(
				'on' => __( 'Yes', 'Luzuk Premium' ),
				'off' => __( 'No', 'Luzuk Premium' )
			)   
		)
	)
);

backgroundManager($wp_customize, 'inquirysec', 'inquiry_section', $color='#fff', get_template_directory_uri().'/images/default-gray.png', 'color');


lzCustomLable($wp_customize, 'inquiryheadimg', 'inquiry_section', 'Section Heading Background Image & Color Setting');

backgroundManager($wp_customize, 'inquiryinn', 'inquiry_section', $color='#fff', get_template_directory_uri().'/images/inquiry-bg.jpg', 'img');

addColorPalatOption($wp_customize, 'inquirysaorlycolor', 'inquiry_section', 'Section Overlay Color', '#001b42');

lzCustomLable($wp_customize, 'counterSectionPadding', 'inquiry_section', 'Section Padding');

$wp_customize->add_setting(
    'inquirysection_toppadding', 
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '4em', 'Luzuk' )
    )
);
$wp_customize->add_control(
    'inquirysection_toppadding',
    array(
        'settings'      => 'inquirysection_toppadding',
        'section'       => 'inquiry_section',
        'type'          => 'text',
        'label'         => __( 'Top Padding', 'Luzuk' )
    )
);

$wp_customize->add_setting(
    'inquirysection_bottompadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '4em', 'Luzuk' )
    )
);
$wp_customize->add_control(
    'inquirysection_bottompadding',
    array(
        'settings'      => 'inquirysection_bottompadding',
        'section'       => 'inquiry_section',
        'type'          => 'text',
        'label'         => __( 'Bottom Padding', 'Luzuk' )
    )
);

$wp_customize->add_setting(
    'inquiry_maintitle_subtitle_heading',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
    )
);
$wp_customize->add_control(
    new luzuk_Customize_Heading(
        $wp_customize,
        'inquiry_maintitle_subtitle_heading',
        array(
            'settings'      => 'inquiry_maintitle_subtitle_heading',
            'section'       => 'inquiry_section',
            'label'         => __( 'Section Heading & Sub Heading', 'Luzuk' ),
        )
    )
);

$wp_customize->add_setting(
    'inquiry_subheading',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'inquiry', 'Luzuk' )
    )
);
$wp_customize->add_control(
    'inquiry_subheading',
    array(
        'settings'      => 'inquiry_subheading',
        'section'       => 'inquiry_section', 
        'type'          => 'text',
        'label'         => __( 'Section Sub Heading', 'Luzuk' )
    )
);
addColorPalatOption($wp_customize, 'inqu_secsubtitleclr', 'inquiry_section', 'Section Sub Heading Color ', '#ff5317');

addColorPalatOption($wp_customize, 'inqu_secsubtitlebrdclr', 'inquiry_section', 'Section Sub Heading Border Color ', '#ff5317');

$wp_customize->add_setting(
    'inquiry_maintitle',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'QUICK INQUIRY', 'Luzuk' )
    )
);
$wp_customize->add_control(
    'inquiry_maintitle',
    array(
        'settings'      => 'inquiry_maintitle',
        'section'       => 'inquiry_section', 
        'type'          => 'text',
        'label'         => __( 'Section Heading', 'Luzuk' )
    )
);

addColorPalatOption($wp_customize, 'inqu_secheadgclr', 'inquiry_section', 'Heading color ', '#fff');


lzCustomLable($wp_customize, 'inquiry_lhs', 'inquiry_section', 'Left Image Setting:');

$wp_customize->add_setting(
    'inq_image',
    array(
        'sanitize_callback' => 'esc_url_raw'
    )
);
$wp_customize->add_control(
    new WP_Customize_Image_Control(
        $wp_customize,
        'inq_image',
        array(
            'section' => 'inquiry_section',
            'settings' => 'inq_image',
            'description' => __('Recommended Image Size: 400X600px', 'luzuk-premium')
        )
    )
);



// ===========Form Section ==========//

lzCustomLable($wp_customize, 'inquiryf', 'inquiry_section', 'Form Section');

$wp_customize->add_setting(
    'inquiry_text',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Feel free to send us a message.', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'inquiry_text',
    array(
        'settings'      => 'inquiry_text',
        'section'       => 'inquiry_section',
        'type'          => 'text',
        'label'         => __( 'Form Title', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'inquiry_formtleclr', 'inquiry_section', 'Form Title Color', '#ff5317');

addColorPalatOption($wp_customize, 'inquiry_imghvclr', 'inquiry_section', 'Image Hover Color', '#ff5317');

addColorPalatOption($wp_customize, 'inquiry_formbgclr', 'inquiry_section', 'Form Background Color', '#fff');

lzAddElement($wp_customize, 'luzuk_inquiry_shortcode', 'inquiry_section', 'textarea', $label="Form Shortcode", 'luzuk_sanitize_text', '[your shortcode]');

//form input text / placeholder color
addColorPalatOption($wp_customize, 'inquiry_forminputtextColor', 'inquiry_section', 'Form Input Text / Placeholder Color', '#858585');

//form label color
addColorPalatOption($wp_customize, 'inquiry_formlabelColor', 'inquiry_section', 'Form Label Color', '#444');

//form text color
addColorPalatOption($wp_customize, 'inquiry_formtextColor', 'inquiry_section', 'Form Text Color', '#858585');

addColorPalatOption($wp_customize, 'inquiry_formtextbrdColor', 'inquiry_section', 'Form Text Background Color', '#e5e8ec');

//form button text color
addColorPalatOption($wp_customize, 'inquiry_formbuttontextColor', 'inquiry_section', 'Form Button Text Color', '#fff');

//form button text color
addColorPalatOption($wp_customize, 'inquiry_formbuttontexthoverColor', 'inquiry_section', 'Form Button Text Hover Color', '#ff5317');

//form button background color
addColorPalatOption($wp_customize, 'inquiry_formbuttonbgColor', 'inquiry_section', 'Form Button Background Color', '#ff5317');

//form button background color
addColorPalatOption($wp_customize, 'inquiry_formbuttonbghoverColor', 'inquiry_section', 'Form Button Background Hover color', '#001b42');
